error with primus

ATSAS for Linux and Mac, general installation issues, ATSAS online etc.
Post Reply
Message
Author
d1ffract
Guest
Posts: 2
Joined: 2016.12.26 05:33

error with primus

#1 Post by d1ffract » 2016.12.26 05:46

Hi,
I have installed ATSAS 2.7.2 on my Yosemite (Mac10.10.5)
I can run crysol on the commandline
Further commands below yield results.
biochem235:~ Laxi$ which dammif
/Applications/ATSAS/bin/dammif
biochem235:~ Laxi$ dammif -v
dammif, ATSAS 2.7.1 (r6759)
Copyright (c) ATSAS Team, EMBL, Hamburg Outstation 2007-2015

However when I say primus on commandline or doubleclick from the application folder
it gives the following error
"check developer to make sure with this version"

Process: primus.bin [46890]
Path: /Applications/ATSAS/primus.app/Contents/MacOS/primus
Identifier: vnd.embl-hh.atsas.primus
Version: ???
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: primus.bin [46890]
User ID: 501
***********************************

Please help... as the same happens with sasplot and gnomplot
Thanks in advance

User avatar
AL
Administrator
Posts: 686
Joined: 2007.08.03 18:55
Location: EMBL Hamburg, Germany
Contact:

reinstall ATSAS

#2 Post by AL » 2017.01.02 12:06

d1ffract wrote:I have installed ATSAS 2.7.2 on my Yosemite (Mac10.10.5)
<...>
biochem235:~ Laxi$ dammif -v
dammif, ATSAS 2.7.1 (r6759)
It looks like ATSAS 2.7.2 was not installed properly. Please download atsas-2.7.2-5-OSX-10.10.x86_64.tar.gz and follow the installation guideline for macOS.

UPD: ATSAS 2.8.0 is out now.

Post Reply